package it.integry.integrywmsnative.gest.accettazione_bolla_elenco;

import dagger.Module;
import dagger.Provides;
import it.integry.integrywmsnative.gest.accettazione_bolla_elenco.rest.BolleAccettazioneRESTConsumer;

@Module(subcomponents = {MainAccettazioneBollaElencoComponent.class})
public class MainAccettazioneBollaElencoModule {


    @Provides
    BolleAccettazioneRESTConsumer providesBolleAccettazioneRESTConsumer() {
        return new BolleAccettazioneRESTConsumer();
    }


    @Provides
    MainAccettazioneBollaElencoViewModel providesMainAccettazioneBollaViewModel(BolleAccettazioneRESTConsumer bolleAccettazioneRESTConsumer) {
        return new MainAccettazioneBollaElencoViewModel(bolleAccettazioneRESTConsumer);
    }
}
